//=========================  Copyright Notice  ===============================
//
//                       * PROPRIETARY MATERIAL *
//
//    This software is the property of:
//
//        Juniper Systems, Inc.,
//         1740 North Research Park Way
//          North Logan, UT  84341-1941 (U.S.A.)
//
//    Use of the functions described in this file indicates acceptance
//    of the Allegro Field Computer SDK End-User License Agreement.
//
//    (c) Copyright 2002 - 2004 Juniper Systems, Inc. All rights reserved.
//
//============================================================================
// $Workfile: JSAPI.h $
// $Revision: 0 $
// $Modtime: 9/20/07 3:00p $


#ifdef JSAPI_EXPORTS
#define JSAPI_API __declspec(dllexport)
#else
#define JSAPI_API __declspec(dllimport)
#endif

// JSGetSerialNumber returns the unique serial number of the device in
//  a zero-terminated, fixed length (with leading zeros) character string.
//
// Parameters:
//	PTCHAR szSerialString
//      Pointer to a TCHAR buffer. If non-null, and the function
//      succeeds, this buffer will contain the serial number string.
//  PDWORD pdwLen
//      On Entry: Pointer to the size of the szSerialString buffer. If the
//                buffer is too small, the function will fail. May be NULL if
//                this check is not desired.
//      On Exit : Returns the size of the buffer needed to store szSerialString.
//                May be NULL if this information is not desired.
//
// Return value: FALSE if pdwLen is non-null and *pdwLen is smaller than the
//               number of characters in the serial number.
//
// Comments: If you only want to know the length of the serial number (to
//           allocate space, for example) pass NULL for szSerialString and the
//           required size will be returned in *pdwLen.
extern "C" JSAPI_API DWORD JSGetSerialNumber(PTCHAR szSerialString, PDWORD pdwLen );
